Subject: Re: [PATCH] bnx2: annotate bp->phy_lock functions

From: Harvey Harrison <[email-masked]>
Date: Mon, 19 Jan 2009 12:29:21 -0800

On Mon, 2009-01-19 at 12:12 -0800, Harvey Harrison wrote:
> It looks like the locking is OK as the locks were being taken before the
> various phy setup functions, add the annotations as they release and
> reacquire the phy_lock.
> 
> Signed-off-by: Harvey Harrison <[email-masked]>
> ---

Whoops, bnx2 != bnx2x....that driver needs serious help in the endianess
department, but it doesn't actually lok to hard to sort out as it seems
most of the warnings come about as the hardware structs are just not
annotated, but the correct accessors seem to be in place in the code.

In addition, there are piles of macros in the driver that really shouldn't
be.  I'll have a look this afternoon at some of the low-hanging fruit.

Harvey